package cn.net.cpzslibs.prot.bean;

import java.util.List;

public class Prot105LabelHistoryBean {
	
	private List<HistoryBean> from;
	
	public List<HistoryBean> getFrom() {
		return from;
	}

	public static class HistoryBean{
		/**
		 * {<br/>
		 * prdname = "中烟追溯";<br/>
		 * prdimgurl = " http://www.cpzs.net.cn 01_00_00.jpg ";<br/>
		 * label = " 1234567890987654";<br/>
		 * firsttime = "首次消费时间";<br/>
		 * firstass = " 首次消费地点";<br/>
		 * prdshowurl = " http://www.bejson.com ";<br/>
		 * state = "1";<br/>
		 * <br/>
		 * state :<br/>
		 * 0：中奖/未领取 <br/>
		 * 1：中奖/已领取<br/>
		 * 2：中奖/未领取/已过期<br/>
		 * 3：未中奖<br/>
		 * 4：未中奖/已过期<br/>
		 * 5：没活<br/>
		 */
		private String prdname;//产品名称
		private String prdimgurl;//产品图片的URL
		private String label;//标签号
		private String firsttime;//首次消费时间
		private String firstass;//首次消费地点
		private String prdshowurl;//产品展示网址，这个是用来点击进入的吗？
		private String state;//状态
		public String getPrdname() {
			return prdname;
		}
		public String getPrdimgurl() {
			return prdimgurl;
		}
		public String getLabel() {
			return label;
		}
		public String getFirsttime() {
			return firsttime;
		}
		public String getFirstass() {
			return firstass;
		}
		public String getPrdshowurl() {
			return prdshowurl;
		}
		public String getState() {
			return state;
		}
		@Override
		public String toString() {
			return "HistoryBean [prdname=" + prdname + ", prdimgurl=" + prdimgurl + ", label=" + label + ", firsttime="
					+ firsttime + ", firstass=" + firstass + ", prdshowurl=" + prdshowurl + ", state=" + state + "]";
		}
	}
}
